# Get wallet **GET /api/v1/wallets/{walletId}** Returns one wallet belonging to the authenticated API key owner. ## Servers - https://api.lumetrade.com: https://api.lumetrade.com () ## Parameters ### Headers - **X-API-KEY** (string) Public API key issued from the Lumetrade API key management flow. - **X-API-SECRET** (string) API secret paired with the public API key. ### Path parameters - **walletId** (string) Wallet id returned by the wallet list endpoint. ## Responses ### 200 Wallet returned successfully ### 404 Wallet was not found for the authenticated user #### Body: application/json (object) - **id** (string) Stable wallet id used by external wallet endpoints. - **currency** (string) Wallet currency code. - **depositDetails** (object) Raw withdrawal details stored as JSON object. - **networkName** (string) Crypto network name when available. - **paymentMethodType** (string) Fiat payment method type when available. [Powered by Bump.sh](https://bump.sh)